/**
 *  If you want to override some bootstrap variables, you have to change values here.
 *  The list of variables are listed here bower_components/bootstrap-sass/assets/stylesheets/bootstrap/_variables.scss
 */
$navbar-inverse-link-color: #5AADBB;
$icon-font-path: "../../bower_components/bootstrap-sass/assets/fonts/bootstrap/";
$fa-font-path: "fonts";
@import "bourbon";
/**
 *  Do not remove the comments below. It's the markers used by wiredep to inject
 *  sass dependencies when defined in the bower.json of your dependencies
 */
// bower:scss
// endbower
// COLORS
$mainCyan: #25c5ed;
$mainRed: #f54545;
$mainGrey: #202020;
$mainLite: #494949;
$mainBlue: #2e96db;
$mainDark: #101010;
$mainOrange: #fc9285;
$mainGreen: #00b98d;
$darkBlue: #282828;
$socialIcons: #656363;
$borderColor: #edecec;
$greyBackground: #f6f6f6; // URL(s)
$spirit: "../images/spirit.png";
main {
  height: 100%;
  overflow: hidden;
}
.main {
  float: left;
  position: relative;
  display: inline-block;
  width: calc(100% - 460px);
  height: calc(100% - 76px);
}
.guest {
  float: left;
  position: relative;
  display: inline-block;
  width: 100%;
  height: calc(100% - 76px);
}
.preloader {
  top: 0;
  width: 100%;
  height: 100%;
  position: relative;
  position: absolute;
  display: block;
  background: $greyBackground;
  z-index: 100;
  .spinner {
   top: calc(50% - 32px);
   left: calc(50% - 32px);
   position: absolute;
  }
}
.browsehappy {
  margin: 0.2em 0;
  background: #ccc;
  color: #000;
  padding: 0.2em 0;
}
.cropArea {
  width: 100%;
  height: 400px;
}
.thumbnail {
  height: 200px;
  img.pull-right {
    width: 50px;
  }
}
#loading-bar {
  .bar {
    background: $white;
  }
  .peg {
    box-shadow: #008361 1px 0 6px 1px;
  }
}
#loading-bar-spinner {
  .spinner-icon {
    border-top-color: $white;
    border-left-color: $white;
  }
}
.close-notification {
  right: 0;
  position: absolute;
  transition: 0.3s all;
  &:hover {
    text-decoration: none;
  }
}
body,
html {
  width: 100%;
  height: 100%;
}
body {
  position: relative;
  font-family: 'Lato', sans-serif;
}
@keyframes colors {
  0% {
    color: #4285F4;
  }
  25% {
    color: #DE3E35;
  }
  50% {
    color: #F7C223;
  }
  75% {
    color: #1B9A59;
  }
  100% {
    color: #4285F4;
  }
}
// @
@mixin breakpoint($min: 0, $max: 0) {
  $typeA: type-of($min);
  $typeB: type-of($max);
  @if $typeA == string and $typeB == string {
     @if $min == xs{
      $query: "all" !default; // All Devices
      @if $max == xs {
        $query: "(min-width: 0) and (max-width: #{$screen-xs-max})";
      }
      // Mobiles only
      @else if $max == sm {
        $query: "(min-width: #{$screen-xs-min}) and (max-width: #{$screen-sm-max})";
      }
      // Mobiles and Tablets only
      @else if $max == md {
        $query: "(min-width: #{$screen-xs-min}) and (max-width: #{$screen-md-max})";
      }
      // Mobiles and Tablets and Desktops only
      @else if $max == lg {
        $query: "(min-width: #{$screen-xs-min})";
      }
      // All Devices
      @media #{$query} {
         @content;
      }
    }
    @else if $min == sm {
      $query: "all" !default; // All Devices
      @if $max == sm {
        $query: "(min-width: #{$screen-sm-min}) and (max-width: #{$screen-sm-max})";
      }
      // Tablets only
      @else if $max == md {
        $query: "(min-width: #{$screen-sm-min}) and (max-width: #{$screen-md-max})";
      }
      // Tablets and Desktops only
      @else if $max == lg {
        $query: "(min-width: #{$screen-sm-min})";
      }
      // All Devices
      @media #{$query} {
         @content;
      }
    }
    @else if $min == md {
      $query: "all" !default; // All Devices
      @if $max == md {
        $query: "(min-width: #{$screen-md-min}) and (max-width: #{$screen-md-max})";
      }
      // Desktops only
      @else if $max == lg {
        $query: "(min-width: #{$screen-md-min})";
      }
      // All Devices
      @media #{$query} {
         @content;
      }
    }
    @else if $min == lg {
      $query: "all" !default; // All Devices
      @media #{$query} {
         @content;
      }
    }
    // Otherwise pass a warning to the compiler as to the appropriate options
    @else {
       @warn"The breakpoint mixin supports the following attributes: xs, sm, md, lg";
    }
  }
  @else if typeA == string {
     @if $min == xs{
      @media (max-width: $screen-xs-max) {
         @content;
      }
      // Mobile Devices
    }
    @else if $min == sm {
       @media (min-width: $screen-sm-min){
        @content;
      }
      // Tablet Devices
    }
    @else if $min == md {
       @media (min-width: $screen-md-min){
        @content;
      }
      // Desktops
    }
    @else if $min == lg {
       @media (min-width: $screen-lg-min){
        @content;
      }
      // Widescreen Desktops only
    }
    // Otherwise pass a warning to the compiler as to the appropriate options
    @else {
       @warn"The breakpoint mixin supports the following attributes: xs, sm, md, lg";
    }
  }
  @else if $typeA == number {
    // Allow for custom parameters for min and max size
    $query: "all" !default;
    @if $min != 0 and $max != 0 {
      $query: "(min-width: #{$min}) and (max-width: #{$max})";
    }
    // set both min and max
    @else if $min != 0 and $max == 0 {
      $query: "(min-width: #{$min})";
    }
    // set just min
    @else if $min == 0 and $max != 0 {
      $query: "(max-width: #{$max})";
    }
    // set just max
    @media #{$query} {
       @content;
    }
  }
}
/**
 *  Do not remove the comments below. It's the markers used by gulp-inject to inject
 *  all your sass files automatically
 */
// injector
// endinjector